

int  sphereSensScale  = 100;
float sensRange = 0.1;
int histoFade = 50;

void drawSphereG(){
   colorMode(RGB, 1);
  //draw line from 0,0,0 to 3d point of sensor value, coloring it according to prim. cols
  float v[] = Histo[Idx];
  
  stroke( abs(v[0]/sensRange), abs(v[2]/sensRange), abs(v[1]/sensRange));
  line(0, 0, 0, v[0]*sphereSensScale, v[2]*sphereSensScale, v[1]*sphereSensScale);
  
    int x;
  //and draw lines from there, to all other points in the histo
  noFill();
  beginShape();
  for (int i = 0; i < histoFade; i++){

    //adjust for Java's Remainde-r% instead of MOD, which % it should be
    x = (Idx-i)%dataPoints;
    if (x<0) x = dataPoints+x;
    v = Histo[x];

    //set color of vertex according to values of x,y,z
    stroke(abs(v[0]/sensRange), abs(v[2]/sensRange), abs(v[1]/sensRange), (1-( (float)i / (float)histoFade) ) );
    vertex(v[0]*sphereSensScale, v[2]*sphereSensScale, v[1]*sphereSensScale);
  
  }
  endShape();
  
  colorMode(RGB);
  
}
